System Requirements


What you will need to use the Volvo online courses:

Your Computer
Internet Browser IE or Netscape version 6 or higher
Adobe Flash Plug-in


Your Computer

Compatible computer operating systems are: Windows 95/98/2000/NT/XP/Vista, Unix, or Macintosh OS. Your Internet connection speed should be at least 56 kbps.


Internet Browsers

The Volvo online courses are optimized for version 6 and higher of both Microsoft Internet Explorer and Netscape Navigator. Please check your browser version before entering the online courses. Having the most recent version of one of these browsers will help ensure a trouble-free experience.


Plug-ins

Plug-ins allow your browser to play a variety of internet media, such as audio, video, and animations. If you need the Flash plug-in, click the icon below to download.